Option Strict Off
Option Explicit On
Module Module18
    Private Declare Function ECF_AbreRelatorioGerencialMFD Lib "CONVECF.DLL" (ByVal Indice As String) As Integer
    Private Declare Function ECF_UsaRelatorioGerencialMFD Lib "CONVECF.DLL" (ByVal Texto As String) As Integer
    Private Declare Function ECF_FechaRelatorioGerencial Lib "CONVECF.DLL" () As Integer
	
	Function RelatorioGerencial() As Object
		Dim retorno As Object
		
		Dim Legenda As Object
		Dim Text As String

        Form1.List1.Items.Clear()

		'''''''''Abrir Relatório'''''''
        Legenda = Space(2)
        Legenda = "01"
        retorno = ECF_AbreRelatorioGerencialMFD(Legenda)
        Form1.List1.Items.Add(" 'ECF_AbreRelatorioGerencialMFD' - Status: " & retorno)

        '''''''''Inserir Texto'''''''
        Text = Space(618)
        Text = Chr(16) & "B" & Chr(16) & "E" & Chr(16) & "B" & "REL.GERENCIAL" & Chr(16) & "N" & vbCrLf & "----------OPERADORES---------" & vbCrLf & "OPERADOR 1:        MOVIMENTO:" & Today & vbCrLf & "VENDA BRUTA:            1234,56" & vbCrLf & "REL.GERENCIAL" & Chr(16) & "N" & vbCrLf & "----------OPERADORES---------" & vbCrLf & "OPERADOR 2:        MOVIMENTO:" & Today & vbCrLf & "VENDA BRUTA:            1122,33" & vbCrLf & vbCrLf & "MOVIMENTO TOTAL :         2356,89"

        retorno = ECF_UsaRelatorioGerencialMFD(Text)
        Form1.List1.Items.Add(" 'ECF_UsaRelatorioGerencialMFD' - Status: " & retorno)

        '''''''''Fechar Relatório'''''''
        retorno = ECF_FechaRelatorioGerencial()
        Form1.List1.Items.Add(" 'ECF_FechaRelatorioGerencial' - Status: " & retorno)
	End Function
End Module